# Description

## Enhance your Valheim experience with the Searchable Build Menu Mod! This mod introduces a powerful search functionality to the build menu, allowing players to quickly find pieces by name, mod origin, or specific resource requirements.

`Client only mod, not needed on the server. No configuration needed, just install and play.`

---

## Features

- **Quick Search**: Easily find any building piece by typing its name in the search bar.
- **Advanced Filtering**: Use "@" to filter pieces by mod name and "!" to search for pieces by specific characteristics
  or resources.
- **Draggable Search**: Does it randomly appear in the middle of your screen? Just drag it to a more convenient location. Hold LeftControl and drag. (If dragged off screen it will go back to the default position)

## How to Use

1. **Open the Build Menu in-game**.
2. **Activate the Search Box**: Click on the search box located at the top left corner of the build menu.
3. **Type Your Search**: Enter the name of the piece you're looking for. Use "@" followed by a mod name to filter pieces
   from a specific mod, or "!" to search based on resources.
4. **Clear Search**: Click the clear button (`X`) inside the search box to reset your search query.

### Advanced Search Examples

- `"@modname"`: Lists all pieces from `modname`.
- `"!wood"`: Shows pieces that require wood to build.

## Compatibility

- Guaranteed Compatible with Valheim version 0.217.38.
- Tested with major building and UI mods for Valheim, seems fine.

<details>
<summary><b>Installation Instructions</b></summary>

***You must have BepInEx installed correctly! I can not stress this enough.***

### Manual Installation

`Note: (Manual installation is likely how you have to do this on a server, make sure BepInEx is installed on the server correctly)`

1. **Download the latest release of BepInEx.**
2. **Extract the contents of the zip file to your game's root folder.**
3. **Download the latest release of SearchableBuildMenu from Thunderstore.io.**
4. **Extract the contents of the zip file to the `BepInEx/plugins` folder.**
5. **Launch the game.**

### Installation through r2modman or Thunderstore Mod Manager

1. **Install [r2modman](https://valheim.thunderstore.io/package/ebkr/r2modman/)
   or [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager).**

   > For r2modman, you can also install it through the Thunderstore site.
   ![](https://i.imgur.com/s4X4rEs.png "r2modman Download")

   > For Thunderstore Mod Manager, you can also install it through the Overwolf app store
   ![](https://i.imgur.com/HQLZFp4.png "Thunderstore Mod Manager Download")
2. **Open the Mod Manager and search for "SearchableBuildMenu" under the Online
   tab. `Note: You can also search for "Azumatt" to find all my mods.`**

   `The image below shows VikingShip as an example, but it was easier to reuse the image.`

   ![](https://i.imgur.com/5CR5XKu.png)

3. **Click the Download button to install the mod.**
4. **Launch the game.**

</details>

<br>
<br>

`Feel free to reach out to me on discord if you need manual download assistance.`

# Author Information

### Azumatt

`DISCORD:` Azumatt#2625

`STEAM:` https://steamcommunity.com/id/azumatt/

For Questions or Comments, find me in the Odin Plus Team Discord or in mine:

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/Pb6bVMnFb2)
<a href="https://discord.gg/pdHgy6Bsng"><img src="https://i.imgur.com/Xlcbmm9.png" href="https://discord.gg/pdHgy6Bsng" width="175" height="175"></a>